| OpenMS 2.5.0

MSFraggerAdapter

Peptide Identification with MSFragger

pot. predecessor tools | MSFraggerAdapter | pot. successor tools
any signal-/preprocessing tool (in mzML format) | IDFilter or any protein/peptide processing tool

MSFragger must be installed before this adapter can be used.

All MSFragger parameters (as specified in the fragger.params file) have been transcribed to parameters of this OpenMS util. It is not possible to provide an explicit fragger.params file to avoid redundancy with the ini file. This adapter creates an fragger.params file prior to calling MSFragger. If the fragger.params file should be inspected, set the -debug option to 2. MSFraggerAdapter will print the path to the working directory to standard out.

MSFragger can process multiple input files (mzML, mzXML) one after another. The number of output files specified must match the number of input spectra files. The output file is then matched to the input file by index. The default parameters of the adapter are the same as given by the official MSFragger manual.

Please cite: Andy T Kong, Felipe V Leprevost, Dmitry M Avtonomov, Dattatreya Mellacheruvu & Alexey I Nesvizhskii MSFragger: ultrafast and comprehensive peptide identification in mass spectrometry–based proteomics Nature Methods volume 14, pages 513–520 (2017) doi:10.1038/nmeth.4256

The command line parameters of this tool are:

    MSFraggerAdapter -- Peptide Identification with MSFragger

    Full documentation: http://www.openms.de/documentation/UTILS_MSFraggerAdapter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    To cite MSFraggerAdapter:

      Kong AT, Leprevost FV, Avtonomov DM, Mellacheruvu D, Nesvizhskii AI. MSFragger: ultrafast and comprehensive peptide identification in mass spectrometry–based proteomics. Nature Methods volume 14, pages 513–520 (2017). doi:doi:10.1038/nmeth.4256.

    Usage:

      MSFraggerAdapter <options>

    Options (mandatory options marked with '*'):

      -java_executable <file>                                                  The Java executable. Usually Java

                                                                               is on the system PATH. If Java is

                                                                               not found, use this parameter to

                                                                               specify the full path to Java

      -java_heapmemory <num>                                                   Maximum Java heap size (in MB)

                                                                               (default: '3500')

      -executable <path_to_executable>                                         Path to the MSFragger executable

                                                                               to use; may be empty if the execut

                                                                               able is globally available.

      -in <file>*                                                              Input File with specta for MSFragg

                                                                               er (valid formats: 'mzML', 'mzXML'

                                                                               )

      -out <file>*                                                             MSFragger output file (valid forma

                                                                               ts: 'idXML')

      -opt_out <file>                                                          MSFragger optional output file

                                                                               (valid formats: 'pepXML')

      -database <path_to_fasta>*                                               Protein FASTA database file path

                                                                               (valid formats: 'FASTA', 'fasta',

                                                                               'fa', 'fas')

    Search Tolerances:

      -tolerance:precursor_mass_tolerance <precursor_mass_tolerance>           Precursor mass tolerance (window

                                                                               is +/- this value) (default: '20.0

                                                                               ' min: '0.0')

      -tolerance:precursor_mass_unit <precursor_mass_unit>                     Unit of precursor mass tolerance

                                                                               (default: 'ppm' valid: 'Da', 'ppm'

                                                                               )

      -tolerance:precursor_true_tolerance <precursor_true_tolerance>           True precursor mass tolerance (win

                                                                               dow is +/- this value). Used for

                                                                               tie breaker of results (in spectra

                                                                               lly ambiguous cases) and zero bin

                                                                               boosting in open searches (0 disab

                                                                               les these features). This option

                                                                               is STRONGLY recommended for open

                                                                               searches. (default: '0.0' min:

                                                                               '0.0')

      -tolerance:precursor_true_unit <precursor_true_unit>                     Unit of precursor true tolerance

                                                                               (default: 'ppm' valid: 'Da', 'ppm'

                                                                               )

      -tolerance:fragment_mass_tolerance <fragment_mass_tolerance>             Fragment mass tolerance (window

                                                                               is +/- this value) (default: '20.0

                                                                               ' min: '0.0')

      -tolerance:fragment_mass_unit <fragment_mass_unit>                       Unit of fragment mass tolerance

                                                                               (default: 'ppm' valid: 'Da', 'ppm'

                                                                               )

      -tolerance:isotope_error <isotope_error>                                 Isotope correction for MS/MS event

                                                                               s triggered on isotopic peaks.

                                                                               Should be set to 0 (disabled) for

                                                                               open search or 0/1/2 for correctio

                                                                               n of narrow window searches. Shift

                                                                               s the precursor mass window to

                                                                               multiples of this value multiplied

                                                                               by the mass of C13-C12. (default:

                                                                               '0' valid: '0', '1', '2')

    In-Silico Digestion Parameters:

      -digest:search_enzyme_name <search_enzyme_name>                          Name of the enzyme to be written

                                                                               to the pepXML file (default: 'Tryp

                                                                               sin' valid: 'Asp-N', 'Arg-C', 'Try

                                                                               psin', 'Arg-C/P', 'PepsinA + P',

                                                                               'Lys-C', 'Chymotrypsin', 'cyanogen

                                                                               -bromide', 'Alpha-lytic protease',

                                                                               'Glu-C+P', 'Clostripain/P', 'Lys-

                                                                               N', 'CNBr', 'Trypsin/P', 'V8-DE',

                                                                               ...

                                                                               ')

      -digest:search_enzyme_cutafter <search_enzyme_cutafter>                  Residues after which the enzyme

                                                                               cuts (specified as a string of

                                                                               amino acids) (default: 'KR')

      -digest:search_enzyme_nocutbefore <search_enzyme_nocutbefore>            Residues that the enzyme will not

                                                                               cut before (default: 'P')

      -digest:num_enzyme_termini <num_enzyme_termini>                          Number of enzyme termini (non-enzy

                                                                               matic (0), semi (1), fully (2)

                                                                               (default: 'fully' valid: 'non-enzy

                                                                               matic', 'semi', 'fully')

      -digest:allowed_missed_cleavage <allowed_missed_cleavage>                Allowed number of missed cleavages

                                                                               (default: '2' valid: '0', '1',

                                                                               '2', '3', '4', '5')

      -digest:min_length <digest_min_length>                                   Minimum length of peptides to be

                                                                               generated during in-silico digesti

                                                                               on (default: '7' min: '0')

      -digest:max_length <digest_max_length>                                   Maximum length of peptides to be

                                                                               generated during in-silico digesti

                                                                               on (default: '64' min: '0')

      -digest:mass_range_min <digest_mass_range_min>                           Min mass of peptides to be generat

                                                                               ed (Da) (default: '500.0' min:

                                                                               '0.0')

      -digest:mass_range_max <digest_mass_range_max>                           Max mass of peptides to be generat

                                                                               ed (Da) (default: '5000.0' min:

                                                                               '0.0')

    Variable Modification Parameters:

      -varmod:clip_nterm_m                                                     Specifies the trimming of a protei

                                                                               n N-terminal methionine as a varia

                                                                               ble modification

      -varmod:masses <varmod1_mass .. varmod7_mass>                            Masses for variable modifications

      -varmod:syntaxes <varmod1_syntax .. varmod7_syntax>                      Syntax Strings for variable modifi

                                                                               cations

      -varmod:enable_common                                                    Enable common variable modificatio

                                                                               ns (15.9949 M and 42.0106 [^)

      -varmod:not_allow_multiple_variable_mods_on_residue                      Do not allow any one amino acid

                                                                               to be modified by multiple variabl

                                                                               e modifications

      -varmod:max_variable_mods_per_mod <max_variable_mods_per_mod>            Maximum number of residues that

                                                                               can be occupied by each variable

                                                                               modification (default: '2' valid:

                                                                               '0', '1', '2', '3', '4', '5')

      -varmod:max_variable_mods_combinations <max_variable_mods_combinations>  Maximum allowed number of modified

                                                                               variably modified peptides from

                                                                               each peptide sequence, (maximum

                                                                               of 65534). If a greater number

                                                                               than the maximum is generated,

                                                                               only the unmodified peptide is

                                                                               considered (default: '5000' min:

                                                                               '0' max: '65534')

    Spectrum Processing Parameters:

      -spectrum:minimum_peaks <minimum_peaks>                                  Minimum number of peaks in experim

                                                                               ental spectrum for matching (defau

                                                                               lt: '10' min: '0')

      -spectrum:use_topn_peaks <use_topN_peaks>                                Pre-process experimental spectrum

                                                                               to only use top N peaks (default:

                                                                               '50' min: '0')

      -spectrum:minimum_ratio <minimum_ratio>                                  Filters out all peaks in experimen

                                                                               tal spectrum less intense than

                                                                               this multiple of the base peak

                                                                               intensity (default: '0.0' min:

                                                                               '0.0' max: '1.0')

      -spectrum:clear_mz_range_min <clear_mz_range_min>                        Removes peaks in this m/z range

                                                                               prior to matching (minimum value).

                                                                               Useful for iTRAQ/TMT experiments

                                                                               (i.e. 0.0 150.0) (default: '0.0'

                                                                               min: '0.0')

      -spectrum:clear_mz_range_max <clear_mz_range_max>                        Removes peaks in this m/z range

                                                                               prior to matching (maximum value).

                                                                               Useful for iTRAQ/TMT experiments

                                                                               (i.e. 0.0 150.0) (default: '0.0'

                                                                               min: '0.0')

      -spectrum:max_fragment_charge <max_fragment_charge>                      Maximum charge state for theoretic

                                                                               al fragments to match (default:

                                                                               '2' valid: '1', '2', '3', '4')

      -spectrum:override_charge                                                Ignores precursor charge and uses

                                                                               charge state specified in precurso

                                                                               r_charge range (parameters: spectr

                                                                               um:precursor_charge_min and spectr

                                                                               um:precursor_charge_max)

      -spectrum:precursor_charge_min <precursor_charge_min>                    Min charge of precursor charge

                                                                               range to consider. If specified,

                                                                               also spectrum:override_charge must

                                                                               be set) (default: '1' min: '0')

      -spectrum:precursor_charge_max <precursor_charge_max>                    Max charge of precursor charge

                                                                               range to consider. If specified,

                                                                               also spectrum:override_charge must

                                                                               be set) (default: '4' min: '0')

    Open Search Features:

      -search:track_zero_topn <track_zero_topn>                                Track top N unmodified peptide

                                                                               results separately from main resul

                                                                               ts internally for boosting feature

                                                                               s. Should be set to a number great

                                                                               er than search:output_report_topN

                                                                               if zero bin boosting is desired

                                                                               (default: '0' min: '0')

      -search:zero_bin_accept_expect <zero_bin_accept_expect>                  Ranks a zero-bin hit above all

                                                                               non-zero-bin hit if it has expecta

                                                                               tion less than this value (default

                                                                               : '0.0' min: '0.0')

      -search:zero_bin_mult_expect <zero_bin_mult_expect>                      Multiplies expect value of PSMs

                                                                               in the zero-bin during results

                                                                               ordering (set to less than 1 for

                                                                               boosting) (default: '1.0' min:

                                                                               '0.0')

      -search:add_topn_complementary <add_topn_complementary>                  Inserts complementary ions corresp

                                                                               onding to the top N most intense

                                                                               fragments in each experimental

                                                                               spectrum. Useful for recovery of

                                                                               modified peptides near C-terminus

                                                                               in open search. 0 disables this

                                                                               option (default: '0' min: '0')

      -search:min_fragments_modeling <min_fragments_modeling>                  Minimum number of matched peaks

                                                                               in PSM for inclusion in statistica

                                                                               l modeling (default: '3' min: '0')

      -search:min_matched_fragments <min_matched_fragments>                    Minimum number of matched peaks

                                                                               for PSM to be reported. MSFragger

                                                                               recommends a minimum of 4 for narr

                                                                               ow window searching and 6 for open

                                                                               searches (default: '4' min: '0')

      -search:output_report_topn <output_report_topn>                          Reports top N PSMs per input spect

                                                                               rum (default: '1' min: '0')

      -search:output_max_expect <output_max_expect>                            Suppresses reporting of PSM if

                                                                               top hit has expectation greater

                                                                               than this threshold (default: '50.

                                                                               0' min: '0.0')

    Static Modification Parameters:

      -statmod:add_cterm_peptide <add_cterm_peptide>                           Statically add mass in Da to C-ter

                                                                               minal of peptide (default: '0.0'

                                                                               min: '0.0')

      -statmod:add_nterm_peptide <add_nterm_peptide>                           Statically add mass in Da to N-ter

                                                                               minal of peptide (default: '0.0'

                                                                               min: '0.0')

      -statmod:add_cterm_protein <add_cterm_protein>                           Statically add mass in Da to C-ter

                                                                               minal of protein (default: '0.0'

                                                                               min: '0.0')

      -statmod:add_nterm_protein <add_nterm_protein>                           Statically add mass in Da to N-ter

                                                                               minal of protein (default: '0.0'

                                                                               min: '0.0')

    Common UTIL options:

      -ini <file>                                                              Use the given TOPP INI file

      -threads <n>                                                             Sets the number of threads allowed

                                                                               to be used by the TOPP tool (defa

                                                                               ult: '1')

      -write_ini <file>                                                        Writes the default configuration

                                                                               file

      --help                                                                   Shows options

      --helphelp                                                               Shows all options (including advan

                                                                               ced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+MSFraggerAdapter Peptide Identification with MSFragger
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'MSFraggerAdapter'
java_executable java The Java executable. Usually Java is on the system PATH. If Java is not found, use this parameter to specify the full path to Java input file
java_heapmemory 3500 Maximum Java heap size (in MB)
executable Path to the MSFragger executable to use; may be empty if the executable is globally available.input file
in Input File with specta for MSFragger input file*.mzML,*.mzXML
out MSFragger output file output file*.idXML
opt_out MSFragger optional output file output file*.pepXML
database Protein FASTA database file path input file*.FASTA,*.fasta,*.fa,*.fas
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++tolerance Search Tolerances
precursor_mass_tolerance 20.0 Precursor mass tolerance (window is +/- this value)0.0:∞
precursor_mass_unit ppm Unit of precursor mass tolerance Da,ppm
precursor_true_tolerance 0.0 True precursor mass tolerance (window is +/- this value). Used for tie breaker of results (in spectrally ambiguous cases) and zero bin boosting in open searches (0 disables these features). This option is STRONGLY recommended for open searches.0.0:∞
precursor_true_unit ppm Unit of precursor true tolerance Da,ppm
fragment_mass_tolerance 20.0 Fragment mass tolerance (window is +/- this value)0.0:∞
fragment_mass_unit ppm Unit of fragment mass tolerance Da,ppm
isotope_error 0 Isotope correction for MS/MS events triggered on isotopic peaks. Should be set to 0 (disabled) for open search or 0/1/2 for correction of narrow window searches. Shifts the precursor mass window to multiples of this value multiplied by the mass of C13-C12.0,1,2
+++digest In-Silico Digestion Parameters
search_enzyme_name Trypsin Name of the enzyme to be written to the pepXML file Asp-N/B,Asp-N_ambic,Arg-C/P,Asp-N,Trypsin,Arg-C,V8-E,cyanogen-bromide,Clostripain/P,elastase-trypsin-chymotrypsin,Alpha-lytic protease,proline endopeptidase,no cleavage,glutamyl endopeptidase,PepsinA,Lys-C,CNBr,Formic_acid,2-iodobenzoate,Chymotrypsin/P,Lys-C/P,Trypsin/P,V8-DE,staphylococcal protease/D,Chymotrypsin,TrypChymo,leukocyte elastase,PepsinA + P,iodosobenzoate,Glu-C+P,Lys-N,proline-endopeptidase/HKR,unspecific cleavage
search_enzyme_cutafter KR Residues after which the enzyme cuts (specified as a string of amino acids)
search_enzyme_nocutbefore P Residues that the enzyme will not cut before
num_enzyme_termini fully Number of enzyme termini (non-enzymatic (0), semi (1), fully (2)non-enzymatic,semi,fully
allowed_missed_cleavage 2 Allowed number of missed cleavages 0,1,2,3,4,5
min_length 7 Minimum length of peptides to be generated during in-silico digestion 0:∞
max_length 64 Maximum length of peptides to be generated during in-silico digestion 0:∞
mass_range_min 500.0 Min mass of peptides to be generated (Da)0.0:∞
mass_range_max 5000.0 Max mass of peptides to be generated (Da)0.0:∞
+++varmod Variable Modification Parameters
clip_nterm_m false Specifies the trimming of a protein N-terminal methionine as a variable modification true,false
masses[] Masses for variable modifications
syntaxes[] Syntax Strings for variable modifications
enable_common false Enable common variable modifications (15.9949 M and 42.0106 [^)true,false
not_allow_multiple_variable_mods_on_residue false Do not allow any one amino acid to be modified by multiple variable modifications true,false
max_variable_mods_per_mod 2 Maximum number of residues that can be occupied by each variable modification 0,1,2,3,4,5
max_variable_mods_combinations 5000 Maximum allowed number of modified variably modified peptides from each peptide sequence, (maximum of 65534). If a greater number than the maximum is generated, only the unmodified peptide is considered 0:65534
+++spectrum Spectrum Processing Parameters
minimum_peaks 10 Minimum number of peaks in experimental spectrum for matching 0:∞
use_topn_peaks 50 Pre-process experimental spectrum to only use top N peaks 0:∞
minimum_ratio 0.0 Filters out all peaks in experimental spectrum less intense than this multiple of the base peak intensity 0.0:1.0
clear_mz_range_min 0.0 Removes peaks in this m/z range prior to matching (minimum value). Useful for iTRAQ/TMT experiments (i.e. 0.0 150.0)0.0:∞
clear_mz_range_max 0.0 Removes peaks in this m/z range prior to matching (maximum value). Useful for iTRAQ/TMT experiments (i.e. 0.0 150.0)0.0:∞
max_fragment_charge 2 Maximum charge state for theoretical fragments to match 1,2,3,4
override_charge false Ignores precursor charge and uses charge state specified in precursor_charge range (parameters: spectrum:precursor_charge_min and spectrum:precursor_charge_max)true,false
precursor_charge_min 1 Min charge of precursor charge range to consider. If specified, also spectrum:override_charge must be set)0:∞
precursor_charge_max 4 Max charge of precursor charge range to consider. If specified, also spectrum:override_charge must be set)0:∞
+++search Open Search Features
track_zero_topn 0 Track top N unmodified peptide results separately from main results internally for boosting features. Should be set to a number greater than search:output_report_topN if zero bin boosting is desired 0:∞
zero_bin_accept_expect 0.0 Ranks a zero-bin hit above all non-zero-bin hit if it has expectation less than this value 0.0:∞
zero_bin_mult_expect 1.0 Multiplies expect value of PSMs in the zero-bin during results ordering (set to less than 1 for boosting)0.0:∞
add_topn_complementary 0 Inserts complementary ions corresponding to the top N most intense fragments in each experimental spectrum. Useful for recovery of modified peptides near C-terminus in open search. 0 disables this option 0:∞
min_fragments_modeling 3 Minimum number of matched peaks in PSM for inclusion in statistical modeling 0:∞
min_matched_fragments 4 Minimum number of matched peaks for PSM to be reported. MSFragger recommends a minimum of 4 for narrow window searching and 6 for open searches 0:∞
output_report_topn 1 Reports top N PSMs per input spectrum 0:∞
output_max_expect 50.0 Suppresses reporting of PSM if top hit has expectation greater than this threshold 0.0:∞
+++statmod Static Modification Parameters
add_cterm_peptide 0.0 Statically add mass in Da to C-terminal of peptide 0.0:∞
add_nterm_peptide 0.0 Statically add mass in Da to N-terminal of peptide 0.0:∞
add_cterm_protein 0.0 Statically add mass in Da to C-terminal of protein 0.0:∞
add_nterm_protein 0.0 Statically add mass in Da to N-terminal of protein 0.0:∞
add_G_glycine 0.0 Statically add mass to glycine 0.0:∞
add_A_alanine 0.0 Statically add mass to alanine 0.0:∞
add_S_serine 0.0 Statically add mass to serine 0.0:∞
add_P_proline 0.0 Statically add mass to proline 0.0:∞
add_V_valine 0.0 Statically add mass to valine 0.0:∞
add_T_threonine 0.0 Statically add mass to threonine 0.0:∞
add_C_cysteine 57.021464000000002 Statically add mass to cysteine 0.0:∞
add_L_leucine 0.0 Statically add mass to leucine 0.0:∞
add_I_isoleucine 0.0 Statically add mass to isoleucine 0.0:∞
add_N_asparagine 0.0 Statically add mass to asparagine 0.0:∞
add_D_aspartic_acid 0.0 Statically add mass to aspartic_acid 0.0:∞
add_Q_glutamine 0.0 Statically add mass to glutamine 0.0:∞
add_K_lysine 0.0 Statically add mass to lysine 0.0:∞
add_E_glutamic_acid 0.0 Statically add mass to glutamic_acid 0.0:∞
add_M_methionine 0.0 Statically add mass to methionine 0.0:∞
add_H_histidine 0.0 Statically add mass to histidine 0.0:∞
add_F_phenylalanine 0.0 Statically add mass to phenylalanine 0.0:∞
add_R_arginine 0.0 Statically add mass to arginine 0.0:∞
add_Y_tyrosine 0.0 Statically add mass to tyrosine 0.0:∞
add_W_tryptophan 0.0 Statically add mass to tryptophan 0.0:∞